Assign your driver
Company token. Assigns one of your own drivers to a trip that is not outsourced and has not started. The trip status becomes 4 Dispatch, the FTLs are dispatched to the driver and the trip is optimized again. Send another driver_id to change the driver. See assign your driver.
Authentication
AuthorizationBearer
Send Authorization: Bearer <token>. Company endpoints take the company API token from POST /api/v1/partners/login. /transporters endpoints take the transporter token from POST /api/v1/partners/transporters/login. You can also send the token as an access_token query parameter or body field.
Path parameters
tripId
Trip id.
Request
This endpoint expects an object.
driver_id
A driver from GET /api/v1/partners/drivers that does not belong to a transporter.
Response
Success
status
msg
msgs
data
Errors
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
412
Precondition Failed Error
429
Too Many Requests Error

